package com.liquidnet.client.admin.zhengzai.smile.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@ApiModel(value = "UserDataAgentVo", description = "用户单票数据")
@Data
public class UserDataAgentVo implements Serializable, Cloneable{

    /**
     * 票提id
     */
    @ApiModelProperty(value = "票提id", example = "")
    private String ticketsId;

    /**
     * 票名称
     */
    @ApiModelProperty(value = "票名称", example = "")
    private String ticketName;

    /**
     * 数量
     */
    @ApiModelProperty(value = "售出张数", example = "")
    private BigDecimal number;

    /**
     * 单价
     */
    @ApiModelProperty(value = "单价", example = "")
    private BigDecimal price;

    /**
     * 票提
     */
    @ApiModelProperty(value = "票提", example = "")
    private BigDecimal agent;

    /**
     * 提成
     */
    @ApiModelProperty(value = "提成", example = "")
    private BigDecimal commission;

    private static final UserDataAgentVo obj = new UserDataAgentVo();

    public static UserDataAgentVo getNew() {
        try {
            return (UserDataAgentVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new UserDataAgentVo();
    }
}
